OrionSubTask.OrionVersionTypes (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.orion.ejb.OrionSubTask.OrionVersionTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.orion.ejb
Class OrionSubTask.OrionVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.orion.ejb.OrionSubTask.OrionVersionTypes

Enclosing class:
  OrionSubTask

public static class OrionSubTask.OrionVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Aslak Hellesøy
created
  November 22, 2001

Field Summary
`static String` | `VERSION_1_5_0`
`static String` | `VERSION_1_5_1`
`static String` | `VERSION_1_5_2`
`static String` | `VERSION_1_5_3`
`static String` | `VERSION_1_5_4`
`static String` | `VERSION_1_6_0`
`static String` | `VERSION_2_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`OrionSubTask.OrionVersionTypes()`

Method Summary
`String[]` | `getValues()` Gets the Values attribute of the OrionVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_1_5_0

    public static final String VERSION_1_5_0

See Also:
  Constant Field Values

### VERSION_1_5_1

    public static final String VERSION_1_5_1

See Also:
  Constant Field Values

### VERSION_1_5_2

    public static final String VERSION_1_5_2

See Also:
  Constant Field Values

### VERSION_1_5_3

    public static final String VERSION_1_5_3

See Also:
  Constant Field Values

### VERSION_1_5_4

    public static final String VERSION_1_5_4

See Also:
  Constant Field Values

### VERSION_1_6_0

    public static final String VERSION_1_6_0

See Also:
  Constant Field Values

### VERSION_2_0

    public static final String VERSION_2_0

See Also:
  Constant Field Values

Constructor Detail

### OrionSubTask.OrionVersionTypes

    public OrionSubTask.OrionVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the OrionVersionTypes object

  Returns:
    The Values value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD